def remplirFichierText (nomFich) : 
	f = open(nomFich, 'w')
	for i in range(1, 4) : 
		for j in range(1, 4) :
			ch = str(i) + ' fois ' + str(j) + ' egal ' + str(i*j) + '\n'
			f.write (ch)
	f.close() 

def lireFichierTextParReadline(nomFich) : 
	print('\n\ncontenu du fichier TextParReadline\n')
	f = open(nomFich, 'r')
	#ligne = f.readline()
	#while ligne != '' : 
	#	print(ligne)
	#	ligne = f.readline()
	try:
		i=0
		while True :
			print ('i am here '+str(i)+'\n')
			i+=1
			ligne = f.readline()
			if ligne != '' :
				print("ligne = "+ligne)
			else :
				raise EOFError

	except EOFError :
		print ('Fin du fichier')
	f.close() 

def lireFichierTextParReadlines(nomFich) : 
	print('\n\ncontenu du fichier TextParReadlines\n')
	f = open(nomFich, 'r')
	toutesLeslignes = f.readlines()
	print(toutesLeslignes)
	f.close() 

nomFichier = 'fichier_table1'
remplirFichierText(nomFichier)
lireFichierTextParReadline(nomFichier)
lireFichierTextParReadlines(nomFichier)